package com.base.biz.model.enums;

/**
 * 扩频模式
 */
public enum KpModeEnums implements TypeList {

    NON_SPREAD_SPECTRUM(0,"非扩频"),STANDARD_TTC(1,"标准TTC"),INCOHERENT_TTC(2,"非相干TTC"),COHERENT_SPECTRUM(3,"相干扩频"),INCOHERENT_SPECTRUM(4,"非相干扩频"),MEA_CON_TRAN_INTEGRATION(5,"测控数传一体化"),SIX_FM(6,"FM"),SEVEN_BPSK(7,"BPSK");

    private Integer key;

    private String value;

    KpModeEnums(Integer key, String value){
        this.key = key;
        this.value = value;
    }

    public Integer getKey() {
        return key;
    }

    public void setKey(Integer key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
